<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="org.eclipse.hyades.execution.trace.sample"
   name="Sample for Hyades Execution Trace"
   version="3.0.0"
   provider-name="Eclipse.org">

   <requires>
      <import plugin="org.eclipse.core.runtime.compatibility"/>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.ui"/>      
      <import plugin="org.eclipse.hyades.ui"/>
   </requires>

   <runtime>
      <library name="hextrace.sample.jar">
         <export name="*"/>
      </library>
   </runtime>

   <extension point="org.eclipse.ui.newWizards">
		<category
			id="org.eclipse.hyades.execution.trace.sample"
			parentCategory="org.eclipse.ui.Examples"
			name="%TRC_CAT_NME">
		</category>
   
		<wizard 
			id="org.eclipse.hyades.execution.trace.sample.rmi_iiop"
			name="%TRC_SMP_RMIIIOP_NME"
			class="org.eclipse.hyades.execution.trace.sample.SampleCreationWizard"
			category="org.eclipse.ui.Examples/org.eclipse.hyades.execution.trace.sample"
			project="true"
			finalPerspective="org.eclipse.jdt.ui.JavaPerspective"
			icon="icons\rmiiiop_wiz.gif">
			
            <description>
                %TRC_SMP_RMIIIOP_DSC
            </description>
			
		</wizard>		      
   </extension>
   
   <extension
         point="org.eclipse.hyades.ui.sampleWizards">

		<sampleWizard
			id="org.eclipse.hyades.execution.trace.sample.rmi_iiop.sample"
			wizardId="org.eclipse.hyades.execution.trace.sample.rmi_iiop"
			banner="icons\rmiiiop_wizbanner.gif">
			
			<projectsetup
				pagetitle="%TRC_SMP_RMIIIOP_PG1_NME"
				pagedescription="%TRC_SMP_RMIIIOP_PG1_DSC"
				name="rmi-iiop"
				helpId="">
				<open file="readme.html"/>
				<import dest="" src="archive/rmi-iiop"/>
				<nature id="org.eclipse.jdt.core.javanature"/>
				<buildCommand name="org.eclipse.jdt.core.javabuilder"/>
			</projectsetup>
		</sampleWizard>
   </extension>   
</plugin>
